Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class Ascape3DPartFactory

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapePartFactory
          org.eclipse.amp.escape.ascape.adapt.Ascape3DPartFactory

    public class Ascape3DPartFactory

extends AscapePartFactory

Field Summary

Fields inherited from class org.eclipse.amp.escape.ascape.adapt.AscapePartFactory
`ascapeProvider, filter`

Constructor Summary
`Ascape3DPartFactory()`

Method Summary
`IColorProvider` | `getColorProvider(java.lang.Object object)`
`protected ICompositionProvider` | `getMemberProvider(Scape scape)`
`protected EditPart` | `getPartForElement(java.lang.Object model)` Maps an object to an EditPart.
`IShape3DProvider` | `getShapeProvider(java.lang.Object object)`

Methods inherited from class org.eclipse.amp.escape.ascape.adapt.AscapePartFactory
`createEditPart, getFilter, setFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ascape3DPartFactory

    public Ascape3DPartFactory()

Method Detail

### getPartForElement

    protected EditPart getPartForElement(java.lang.Object model)

  Description copied from class: `AscapePartFactory`
  Maps an object to an EditPart.

  Overrides:
    `getPartForElement` in class `AscapePartFactory`
  Parameters:
    `model` - the model
  Returns:
    the part for element

### getColorProvider

    public IColorProvider getColorProvider(java.lang.Object object)

### getShapeProvider

    public IShape3DProvider getShapeProvider(java.lang.Object object)

### getMemberProvider

    protected ICompositionProvider getMemberProvider(Scape scape)

  Overrides:
    `getMemberProvider` in class `AscapePartFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors